---
schema_version: "1"
id: 713fefbbb8b3c7a932bf609c10f1548373cfed9e65cee8aead85803ce2a4ea42
title: Experiences
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/commerce-api/references/generated-api-specs/experiences.md
canonical_url: https://developer.salesforce.com/docs/commerce/commerce-api/references/experiences
source_site: developer.salesforce.com
content_type: documentation
content_hash: 78613b67a096cdf15f69cd8805106a31804c73b32b4ec5f5c4146ea047d7a30e
products:
  - B2C Commerce API
  - Salesforce APIs
---
Experiences

# Experiences

[Download API specification](https://developer.salesforce.com/static/commercecloud/commerce-api/experiences/experiences-oas-v1-public.yaml)

## API Overview

The Experiences API provides a unified endpoint for creating and updating Page Designer pages in B2C Commerce Cloud. Use this API to programmatically create new pages or update existing pages with comprehensive configuration options.

### Authentication & Authorization

For resource access, you must use a client ID and client secret from Account Manager to request an access token. The access token is used as a bearer token and added to the Authorization header of your API request.

You must include `sfcc.experience.rw` in the client ID used to generate the token. For a full list of required permissions, see the [Authorization Scopes Catalog.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/auth-z-scope-catalog.html)

For detailed setup instructions, see [Authorization for Admin APIs](https://developer.salesforce.com/docs/commerce/commerce-api/guide/authorization-for-admin-apis.html).

### Use Cases

#### Unified Create/Update

Create new pages or update existing Page Designer pages with comprehensive configuration.

#### Component configuration

Define and configure page components with their associated data.

#### Region Setup

Set up page regions and assign components to them.

#### Custom Properties

Create custom attributes using the c\_\* property pattern.

#### SEO Support

Configure page-level SEO metadata including titles, descriptions, and keywords.

### Usage Guidelines

This API is specifically designed for single page creation operations.

*   The Page ID must be unique within the site.
*   Newly created pages are in draft status by default.
*   Existing pages are updated with provided data (partial updates supported).
*   Page Activation: To make a page active/published, use the Business Manager UI to change the page status from draft to active.
*   Custom properties (c\_\*) are supported through the open object pattern.
*   All text fields support localization through the Commerce Cloud localization framework.
*   This API supports both create and update operations using PUT semantics.

### Related APIs

*   [Shopper Experience](https://developer.salesforce.com/docs/commerce/commerce-api/references/shopper-experience?meta=Summary) — Retrieve Page Designer pages and content for shoppers.

**Version:** 1.4.0

## Servers

*   `https://{shortCode}.api.commercecloud.salesforce.com/experience/experiences/v1`
    *   `shortCode (default shortCode) An eight-character string assigned to a realm for routing purposes. See [Base URL and Request Formation.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html)`

## Security

*   `AmOAuth2` (oauth2) OAuth 2.0 authentication for admin operations
    *   OAuth flow clientCredentials (tokenUrl: https://account.demandware.com/oauth2/token)
    *   Scope sfcc.experiences: Read-only access to merchandiser experiences
    *   Scope sfcc.experiences.rw: Read and write access to merchandiser experiences

## Operations

### PUT Create or update a Page Designer page.

`PUT /organizations/{organizationId}/pages/{pageId}`

Operation ID: `createOrUpdatePage`. Security: AmOAuth2 (sfcc.experiences.rw).

This API is designed specifically for single page creation or updating existing pages with all necessary metadata, regions, and components.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   By default, the created page is in draft status.
*   Page ID in URL must match the page ID in the request body.
*   All required fields must be provided in the request body.
*   This API supports both create and update operations using PUT semantics.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `pageId` (path, string, required) Identifier for the requested page.  
    Maximum length: 256. Example: `homepage`.
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `PageRequest`.

_Example: CreatePageRequest_ Example request to create a new page

```
{
  "id": "new-homepage",
  "typeId": "storePage",
  "aspectTypeId": "pdpAspect",
  "name": "New Homepage",
  "description": "New home page for the storefront",
  "pageTitle": "New Homepage - My Shop",
  "pageDescription": "Welcome to our new homepage",
  "pageKeywords": "homepage, fashion, my shop",
  "thumbnail": "new-homepage.jpg",
  "data": {
    "site_map_priority": 0.8,
    "layout": "default"
  },
  "regions": [
    {
      "id": "header",
      "components": [
        {
          "id": "welcome-banner",
          "typeId": "commerce_assets.banner",
          "data": {
            "title": "Welcome to Our New Store",
            "bannerImage": "welcome-banner.jpg"
          }
        }
      ]
    },
    {
      "id": "main",
      "components": [
        {
          "id": "featured-products",
          "typeId": "commerce_assets.carousel",
          "data": {
            "title": "Featured Products",
            "category": "featured"
          }
        }
      ]
    },
    {
      "id": "footer",
      "components": []
    }
  ]
}
```

_Example: UpdatePageRequest_ Example request to update an existing page

```
{
  "id": "new-homepage",
  "typeId": "storePage",
  "name": "Updated Homepage",
  "description": "Updated home page for the storefront",
  "pageTitle": "Updated Homepage - My Shop",
  "pageDescription": "Welcome to our updated homepage",
  "data": {
    "thumbnail": "updated-homepage.jpg",
    "priority": 1
  },
  "regions": [
    {
      "id": "header",
      "components": [
        {
          "id": "welcome-banner",
          "typeId": "commerce_assets.banner",
          "data": {
            "title": "Updated Welcome Banner",
            "bannerImage": "updated-welcome-banner.jpg"
          }
        }
      ]
    }
  ]
}
```

#### Responses

*   **200** Page updated successfully
    
    Media type: `application/json`. Schema: `Page`.
    
    _Example: UpdatedPage_ Example response for a successfully updated page
    
    ```
    {
      "id": "new-homepage",
      "typeId": "storePage",
      "aspectTypeId": "pdpAspect",
      "name": "Updated Homepage",
      "description": "Updated home page for the storefront",
      "pageTitle": "Updated Homepage - My Shop",
      "pageDescription": "Welcome to our updated homepage",
      "data": {
        "thumbnail": "updated-homepage.jpg",
        "priority": 1
      },
      "custom": {
        "thumbnail_full": "http://static.myshop.com/updated-homepage.jpg"
      },
      "regions": [
        {
          "id": "header",
          "components": [
            {
              "id": "welcome-banner",
              "typeId": "commerce_assets.banner",
              "data": {
                "title": "Updated Welcome to Our New Store",
                "bannerImage": "updated-welcome-banner.jpg"
              },
              "custom": {
                "banner_url": "http://static.myshop.com/updated-welcome-banner.jpg"
              }
            }
          ]
        }
      ],
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T11:00:00.000Z",
      "online": true
    }
    ```
    
*   **201** Page created successfully
    
    Media type: `application/json`. Schema: `Page`.
    
    _Example: CreatedPage_ Example response for a successfully created page
    
    ```
    {
      "id": "new-homepage",
      "typeId": "storePage",
      "aspectTypeId": "pdpAspect",
      "name": "New Homepage",
      "description": "New home page for the storefront",
      "pageTitle": "New Homepage - My Shop",
      "pageDescription": "Welcome to our new homepage",
      "pageKeywords": "homepage, fashion, my shop",
      "thumbnail": "new-homepage.jpg",
      "data": {
        "site_map_priority": 0.8,
        "layout": "default"
      },
      "custom": {
        "thumbnail_full": "http://static.myshop.com/new-homepage.jpg"
      },
      "regions": [
        {
          "id": "header",
          "components": [
            {
              "id": "welcome-banner",
              "typeId": "commerce_assets.banner",
              "data": {
                "title": "Welcome to Our New Store",
                "bannerImage": "welcome-banner.jpg"
              },
              "custom": {
                "banner_url": "http://static.myshop.com/welcome-banner.jpg"
              }
            }
          ]
        },
        {
          "id": "main",
          "components": [
            {
              "id": "featured-products",
              "typeId": "commerce_assets.carousel",
              "data": {
                "title": "Featured Products",
                "category": "featured"
              },
              "custom": {
                "carousel_url": "http://static.myshop.com/featured"
              }
            }
          ]
        },
        {
          "id": "footer",
          "components": []
        }
      ],
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T10:30:00.000Z",
      "online": false
    }
    ```
    
*   **400** Invalid page data provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: InvalidPageData_ Example error response for invalid page data
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "The request body contains invalid page data",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/required-field-missing",
          "detail": "Required field 'id' is missing",
          "field": "id"
        }
      ]
    }
    ```
    
    _Example: MissingSiteId_ Example error response for missing site ID
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "The siteId query parameter is required",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/required-parameter-missing",
          "detail": "The siteId query parameter is required",
          "field": "siteId"
        }
      ]
    }
    ```
    
    _Example: PageIdMismatch_ Example error response for page ID mismatch between path and body
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/page-id-mismatch",
      "title": "Page Id Mismatch",
      "detail": "The page ID in the request path ('path-id') doesn't match the page ID in the request body ('body-id').",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/path-id",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/page-id-mismatch",
          "detail": "The page ID in the request path ('path-id') doesn't match the page ID in the request body ('body-id').",
          "pathPageId": "path-id",
          "bodyPageId": "body-id"
        }
      ]
    }
    ```
    
    _Example: MissingTypeId_ Example error response for missing typeId field
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "Field 'typeId' cannot be empty",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-field-value",
          "detail": "Field 'typeId' cannot be empty.",
          "field": "typeId"
        }
      ]
    }
    ```
    
    _Example: InvalidPageType_ Example error response for invalid page type ID during page creation
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "No page type with ID 'invalidPageType' was found in site 'RefArch'.",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-field-value",
          "detail": "No page type with ID 'invalidPageType' was found in site 'RefArch'.",
          "field": "typeId",
          "pageTypeId": "invalidPageType",
          "site": "RefArch"
        }
      ]
    }
    ```
    
    _Example: InvalidPageId_ Example error response for invalid page ID format
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-id-invalid",
      "title": "Content Id Invalid",
      "detail": "The ID 'test page' is invalid. The ID can't have leading or trailing whitespaces. It can only contain alphanumeric characters and the following special characters: _-~:[]@!'*,;=",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/test page",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-id-invalid",
          "detail": "The ID 'test page' is invalid. The ID can't have leading or trailing whitespaces. It can only contain alphanumeric characters and the following special characters: _-~:[]@!'*,;=",
          "id": "test page",
          "field": "id"
        }
      ]
    }
    ```
    
    _Example: UnsupportedAspectType_ Example error response for unsupported aspect type
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unsupported-aspect-type",
      "title": "Unsupported Aspect Type",
      "detail": "The aspect type 'invalidAspectType' isn't supported for page type 'storePage'.",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unsupported-aspect-type",
          "detail": "The aspect type 'invalidAspectType' isn't supported for page type 'storePage'.",
          "aspectType": "invalidAspectType",
          "pageType": "storePage",
          "field": "aspectTypeId"
        }
      ]
    }
    ```
    
    _Example: InvalidCustomDataFormat_ Example error response for invalid custom data format
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "Field 'data' must be an object",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-field-value",
          "detail": "Field 'data' must be an object",
          "field": "data"
        }
      ]
    }
    ```
    
    _Example: InvalidVisibilityRule_ Example error response for invalid visibility rule format
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "title": "Bad Request",
      "detail": "Field 'customerGroups' must be an array/list, but was: String",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-field-value",
          "detail": "Field 'customerGroups' must be an array/list, but was: String",
          "field": "data.visibilityRule.customerGroups"
        }
      ]
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified site ID does not exist.
    *   An existing page's page type is missing or invalid.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: SiteNotFound_ Example error response for site not found
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/not-found",
      "title": "Not Found",
      "detail": "The specified site does not exist",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/resource-not-found",
          "detail": "Site with ID 'invalid-site' does not exist",
          "field": "siteId"
        }
      ]
    }
    ```
    
    _Example: PageTypeNotFound_ Example error response for page type not found when retrieving an existing page.
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/page-type-not-found",
      "title": "Page Type Not Found",
      "detail": "No page type with ID 'invalidPageType' was found for page 'test-page' in site 'RefArch'.",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/test-page",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/page-type-not-found",
          "detail": "No page type with ID 'invalidPageType' was found for page 'test-page' in site 'RefArch'.",
          "pageTypeId": "invalidPageType",
          "pageId": "test-page",
          "site": "RefArch"
        }
      ]
    }
    ```
    
*   **409** Page ID mismatch or validation error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: PageIdConflict_ Example error response for page ID conflict
    
    ```
    {
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-id-already-in-use",
      "title": "Conflict",
      "detail": "A Page with the specified ID already exists.",
      "instance": "/experience/experiences/v1/organizations/f_ecom_zzrf_001/pages/new-homepage",
      "issues": [
        {
          "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-id-already-in-use",
          "detail": "Page with ID 'new-homepage' already exists in the site.",
          "field": "id"
        }
      ]
    }
    ```
    

### GET Get a content folder

`GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}`

Operation ID: `getContentFolder`. Security: AmOAuth2 (sfcc.experiences.rw).

Retrieves detailed information about a specific content folder within a library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The folder must exist in the specified library.
*   Returns localized content if available.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Responses

*   **200** Content folder retrieved successfully
    
    Media type: `application/json`. Schema: `ContentFolder`.
    
    _Example: RetrievedFolder_ Example response for a successfully retrieved content folder
    
    ```
    {
      "id": "seasonal-content",
      "description": {
        "default": "Localized seasonal folder (Default)"
      },
      "name": {
        "default": "Localized folder (Default)"
      },
      "online": true,
      "parentFolderId": "root",
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T11:00:00.000Z"
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified folder does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    ```
    {
      "title": "Folder Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/folder-not-found",
      "detail": "No content folder with ID 'unknown-folder' in library 'SiteLibrary' could be found."
    }
    ```
    
    _Example: LibraryNotFound_ Example error response for library not found
    
    ```
    {
      "title": "Library Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/library-not-found",
      "detail": "No library with ID 'unknown-library' could be found."
    }
    ```
    

### PUT Create or update a content folder

`PUT /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}`

Operation ID: `createOrUpdateContentFolder`. Security: AmOAuth2 (sfcc.experiences.rw).

Creates a new content folder or updates an existing one in the specified library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   If the folder doesn't exist, it will be created (201).
*   If the folder exists, it will be updated (200).
*   Folder ID in URL must match the folder ID in the request body.
*   The library must exist before creating folders.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentFolder`.

_Example: CreateFolderRequest_ Example request to create a new content folder

```
{
  "id": "seasonal-content",
  "pageDescription": {
    "default": "Page Descr. (Default)",
    "en": "Page Descr. (en)",
    "en-US": "Page Descr. (en_us)"
  },
  "pageKeywords": {
    "default": "Page Keywords (Default)",
    "en": "Page Keywords (en)",
    "en-US": "Page Keywords (en_us)"
  },
  "parentFolderId": "root",
  "online": false
}
```

_Example: UpdateFolderRequest_ Example request to update an existing content folder

```
{
  "id": "seasonal-content",
  "name": {
    "default": "Localized folder (Default)",
    "en": "Localized folder (en)",
    "en-US": "Localized folder (en_us)"
  },
  "parentFolderId": "root",
  "online": true
}
```

#### Responses

*   **200** Content folder updated successfully
    
    Media type: `application/json`. Schema: `ContentFolder`.
    
    _Example: UpdatedFolder_ Example response for a successfully updated content folder
    
    ```
    {
      "id": "seasonal-content",
      "name": {
        "default": "Localized folder (Default)",
        "en": "Localized folder (en)",
        "en-US": "Localized folder (en_us)"
      },
      "parentFolderId": "root",
      "online": true,
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T11:00:00.000Z"
    }
    ```
    
*   **201** Content folder created successfully
    
    Media type: `application/json`. Schema: `ContentFolder`.
    
    _Example: CreatedFolder_ Example response for a successfully created content folder
    
    ```
    {
      "id": "seasonal-content",
      "pageDescription": {
        "default": "Page Descr. (Default)",
        "en": "Page Descr. (en)",
        "en-US": "Page Descr. (en_us)"
      },
      "pageKeywords": {
        "default": "Page Keywords (Default)",
        "en": "Page Keywords (en)",
        "en-US": "Page Keywords (en_us)"
      },
      "parentFolderId": "root",
      "online": false,
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T10:30:00.000Z"
    }
    ```
    
*   **400** Invalid folder data provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: ContentIdInvalid_ Example error response for invalid folder ID format
    
    ```
    {
      "title": "Content Id Invalid",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-id-invalid",
      "detail": "The ID 'test folder' is invalid. The ID can't have leading or trailing whitespaces. It can only contain alphanumeric characters and the following special characters: _-~:[]@!'*,;="
    }
    ```
    
*   **404** The specified library does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### DELETE Delete a content folder

`DELETE /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}`

Operation ID: `deleteContentFolder`. Security: AmOAuth2 (sfcc.experiences.rw).

Deletes a content folder from the specified library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The folder must exist to be deleted.
*   This operation cannot be undone.
*   Child folders and content may need to be handled separately.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Responses

*   **204** Content folder deleted successfully
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### PATCH Partially update a content folder

`PATCH /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}`

Operation ID: `patchContentFolder`. Security: AmOAuth2 (sfcc.experiences.rw).

Updates specific properties of an existing content folder without replacing the entire resource.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   Only the properties provided in the request body will be updated.
*   The folder must already exist.
*   Useful for updating custom attributes without affecting other properties.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentFolder`.

_Example: PatchFolderRequest_ Example request to partially update a content folder

```
{
  "id": "winter-content",
  "name": {
    "default": "Localized winter content folder (Default)",
    "en": "Localized winter content folder (en)",
    "en-US": "Localized winter content folder (en_us)"
  },
  "parentFolderId": "root",
  "online": false
}
```

#### Responses

*   **200** Content folder updated successfully
    
    Media type: `application/json`. Schema: `ContentFolder`.
    
    _Example UpdatedFolder: same as PUT /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 200 response._ Example response for a successfully updated content folder
    
    _Example: UpdatedFolder_ Example response for a successfully updated content folder
    
*   **400** Invalid folder data provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentIdInvalid: same as PUT /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 400 response._ Example error response for invalid folder ID format
    
    _Example: ContentIdInvalid_ Example error response for invalid folder ID format
    
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get sub-folders of a content folder

`GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}/sub-folders`

Operation ID: `getSubFolders`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves a list of sub-folders (child folders) within a specific content folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   Returns only direct children of the specified folder.
*   Results can be paginated using limit and offset parameters.
*   Only folders within the specified library are included.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 200 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 200.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Sub-folders retrieved successfully
    
    Media type: `application/json`. Schema: `ContentSubFolderResult`.
    
    _Example: SubFoldersResult_ Example response for successfully retrieved sub-folders
    
    ```
    {
      "limit": 3,
      "offset": 3,
      "total": 30,
      "hits": [
        {
          "id": "winter-2024",
          "name": {
            "default": "Winter 2024 Collection",
            "en": "Winter 2024 Collection",
            "en-US": "Winter 2024 Collection"
          },
          "description": {
            "default": "Content for winter 2024 season",
            "en": "Content for winter 2024 season"
          },
          "parentFolderId": "seasonal-content",
          "online": true,
          "pageTitle": {
            "default": "Winter 2024",
            "en": "Winter 2024"
          },
          "pageDescription": {
            "default": "Explore our winter collection",
            "en": "Explore our winter collection"
          },
          "pageKeywords": {
            "default": "winter, 2024, seasonal",
            "en": "winter, 2024, seasonal"
          },
          "template": "rendering/folder/seasonal",
          "creationDate": "2024-01-10T09:00:00.000Z",
          "lastModified": "2024-01-10T09:00:00.000Z"
        },
        {
          "id": "spring-2024",
          "name": {
            "default": "Spring 2024 Collection",
            "en": "Spring 2024 Collection"
          },
          "description": {
            "default": "Content for spring 2024 season",
            "en": "Content for spring 2024 season"
          },
          "parentFolderId": "seasonal-content",
          "online": false,
          "pageTitle": {
            "default": "Spring 2024",
            "en": "Spring 2024"
          },
          "pageDescription": {
            "default": "Explore our spring collection",
            "en": "Explore our spring collection"
          },
          "pageKeywords": {
            "default": "spring, 2024, seasonal",
            "en": "spring, 2024, seasonal"
          },
          "template": "rendering/folder/seasonal"
        },
        {
          "id": "summer-2024",
          "name": {
            "default": "Summer 2024 Collection",
            "en": "Summer 2024 Collection"
          },
          "description": {
            "default": "Content for summer 2024 season",
            "en": "Content for summer 2024 season"
          },
          "parentFolderId": "seasonal-content",
          "online": false,
          "pageTitle": {
            "default": "Summer 2024",
            "en": "Summer 2024"
          },
          "pageDescription": {
            "default": "Explore our summer collection",
            "en": "Explore our summer collection"
          },
          "pageKeywords": {
            "default": "summer, 2024, seasonal",
            "en": "summer, 2024, seasonal"
          },
          "template": "rendering/folder/seasonal"
        }
      ]
    }
    ```
    
*   **400** Invalid request parameters provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: InvalidLimitParameter_ Example error response for invalid limit parameter
    
    ```
    {
      "title": "Bad Request",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "detail": "The limit parameter must be between 1 and 200."
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified parent folder does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get a content asset

`GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId}`

Operation ID: `getContent`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves detailed information about a specific content asset within a library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The content asset must exist in the specified library.
*   Returns localized content if available.
*   Content assets can contain rich text, HTML, images, and custom attributes.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.

#### Responses

*   **200** Content asset retrieved successfully
    
    Media type: `application/json`. Schema: `ContentAsset`.
    
    _Example: RetrievedContent_ Example response for a successfully retrieved content asset
    
    ```
    {
      "id": "homepage-banner",
      "name": {
        "default": "Homepage Banner",
        "en": "Homepage Banner"
      },
      "description": {
        "default": "Main promotional banner for the homepage",
        "en": "Main promotional banner for the homepage"
      },
      "pageDescription": {
        "default": "Discover amazing products at great prices",
        "en": "Discover amazing products at great prices"
      },
      "pageKeywords": {
        "default": "banner, promotion, homepage",
        "en": "banner, promotion, homepage"
      },
      "pageTitle": {
        "default": "Homepage Banner - My Shop",
        "en": "Homepage Banner - My Shop"
      },
      "folderId": "homepage-folder",
      "online": {
        "default": true
      },
      "template": "rendering/content/banner"
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified content asset does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    ```
    {
      "title": "Content Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/content-not-found",
      "detail": "No content asset with ID 'unknown-content' in library 'SiteLibrary' was found."
    }
    ```
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### PUT Create or update a content asset

`PUT /organizations/{organizationId}/libraries/{libraryId}/content/{contentId}`

Operation ID: `createOrUpdateContent`. Security: AmOAuth2 (sfcc.experiences.rw).

Creates a new content asset or updates an existing one in the specified library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   If the content asset doesn't exist, it will be created (201).
*   If the content asset exists, it will be updated (200).
*   Content ID in URL must match the content ID in the request body.
*   The library must exist before creating content assets.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentAsset`.

_Example: CreateContentRequest_ Example request to create a new content asset

```
{
  "id": "homepage-banner",
  "name": {
    "default": "Homepage Banner",
    "en": "Homepage Banner",
    "en-US": "Homepage Banner"
  },
  "description": {
    "default": "Main promotional banner",
    "en": "Main promotional banner"
  },
  "pageDescription": {
    "default": "Discover amazing products",
    "en": "Discover amazing products"
  },
  "pageKeywords": {
    "default": "banner, promotion, homepage",
    "en": "banner, promotion, homepage"
  },
  "pageTitle": {
    "default": "Homepage Banner - My Shop",
    "en": "Homepage Banner - My Shop"
  },
  "folderId": "homepage-folder",
  "online": {
    "default": true
  },
  "template": "rendering/content/banner"
}
```

_Example: UpdateContentRequest_ Example request to update an existing content asset

```
{
  "id": "homepage-banner",
  "name": {
    "default": "Updated Homepage Banner",
    "en": "Updated Homepage Banner"
  },
  "description": {
    "default": "Updated promotional banner",
    "en": "Updated promotional banner"
  },
  "folderId": "homepage-folder",
  "online": {
    "default": true
  }
}
```

#### Responses

*   **200** Content asset updated successfully
    
    Media type: `application/json`. Schema: `ContentAsset`.
    
    _Example: UpdatedContent_ Example response for a successfully updated content asset
    
    ```
    {
      "id": "homepage-banner",
      "name": {
        "default": "Updated Homepage Banner",
        "en": "Updated Homepage Banner"
      },
      "description": {
        "default": "Updated promotional banner",
        "en": "Updated promotional banner"
      },
      "pageTitle": {
        "default": "Homepage Banner - My Shop",
        "en": "Homepage Banner - My Shop"
      },
      "folderId": "homepage-folder",
      "online": {
        "default": true
      }
    }
    ```
    
*   **201** Content asset created successfully
    
    Media type: `application/json`. Schema: `ContentAsset`.
    
    _Example: CreatedContent_ Example response for a successfully created content asset
    
    ```
    {
      "id": "homepage-banner",
      "name": {
        "default": "Homepage Banner",
        "en": "Homepage Banner"
      },
      "description": {
        "default": "Main promotional banner",
        "en": "Main promotional banner"
      },
      "pageDescription": {
        "default": "Discover amazing products",
        "en": "Discover amazing products"
      },
      "pageKeywords": {
        "default": "banner, promotion, homepage",
        "en": "banner, promotion, homepage"
      },
      "pageTitle": {
        "default": "Homepage Banner - My Shop",
        "en": "Homepage Banner - My Shop"
      },
      "folderId": "homepage-folder",
      "online": {
        "default": false
      },
      "template": "rendering/content/banner"
    }
    ```
    
*   **400** Invalid content data provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: UnknownSiteId_ Example error response for unknown site id
    
    ```
    {
      "title": "Unknown Site Id",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unknown-site-id",
      "detail": "The site ID 'NotExistingSite' is unknown."
    }
    ```
    
*   **404** The specified library does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### DELETE Delete a content asset

`DELETE /organizations/{organizationId}/libraries/{libraryId}/content/{contentId}`

Operation ID: `deleteContent`. Security: AmOAuth2 (sfcc.experiences.rw).

Deletes a content asset from the specified library.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The content asset must exist to be deleted.
*   This operation cannot be undone.
*   Any references to this content asset in slots or other resources may need to be updated.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.

#### Responses

*   **204** Content asset deleted successfully
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### PATCH Partially update a content asset

`PATCH /organizations/{organizationId}/libraries/{libraryId}/content/{contentId}`

Operation ID: `patchContent`. Security: AmOAuth2 (sfcc.experiences.rw).

Updates specific properties of an existing content asset without replacing the entire resource.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   Only the properties provided in the request body will be updated.
*   The content asset must already exist.
*   Useful for updating specific attributes without affecting other properties.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentAsset`.

_Example: PatchContentRequest_ Example request to partially update a content asset

```
{
  "id": "homepage-banner",
  "online": {
    "default": true
  },
  "pageTitle": {
    "default": "Updated Homepage Banner - My Shop",
    "en": "Updated Homepage Banner - My Shop"
  }
}
```

#### Responses

*   **200** Content asset updated successfully
    
    Media type: `application/json`. Schema: `ContentAsset`.
    
    _Example UpdatedContent: same as PUT /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 200 response._ Example response for a successfully updated content asset
    
    _Example: UpdatedContent_ Example response for a successfully updated content asset
    
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get folder information for a content asset

`GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId}/folders`

Operation ID: `getContentFolders`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves folder information associated with a specific content asset, including the parent folder and folder hierarchy.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The content asset must exist in the specified library.
*   Returns the folder path and hierarchy information.
*   Useful for understanding where a content asset is located within the library structure.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 200 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 200.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Folder information retrieved successfully
    
    Media type: `application/json`. Schema: `ContentFolderResult`.
    
    _Example: ContentFolderInfo_ Example response for content asset folder information
    
    ```
    {
      "limit": 4,
      "offset": 5,
      "total": 20,
      "hits": [
        {
          "id": "homepage-folder",
          "name": {
            "default": "Homepage Folder",
            "en": "Homepage Folder"
          },
          "description": {
            "default": "Folder containing homepage content assets",
            "en": "Folder containing homepage content assets"
          },
          "parentFolderId": "seasonal-content",
          "online": true,
          "pageTitle": {
            "default": "Homepage Folder - My Store",
            "en": "Homepage Folder - My Store"
          },
          "pageDescription": {
            "default": "SEO description for homepage folder"
          },
          "en": "SEO description for homepage folder",
          "pageKeywords": {
            "default": "homepage, main, landing",
            "en": "homepage, main, landing"
          },
          "template": "rendering/folder/homepage"
        },
        {
          "id": "root",
          "name": {
            "default": "Root Folder",
            "en": "Root Folder"
          },
          "online": true
        },
        {
          "id": "seasonal-content",
          "name": {
            "default": "Seasonal Content",
            "en": "Seasonal Content"
          },
          "description": {
            "default": "Folder for seasonal content",
            "en": "Folder for seasonal content"
          },
          "parentFolderId": "root",
          "online": true,
          "pageTitle": {
            "default": "Seasonal Content - My Store",
            "en": "Seasonal Content - My Store"
          },
          "template": "rendering/folder/seasonal",
          "creationDate": "2024-01-05T08:00:00.000Z",
          "lastModified": "2024-01-05T08:00:00.000Z"
        },
        {
          "id": "homepage-folder",
          "name": {
            "default": "Homepage Folder",
            "en": "Homepage Folder"
          },
          "description": {
            "default": "Folder containing homepage content assets",
            "en": "Folder containing homepage content assets"
          },
          "parentFolderId": "seasonal-content",
          "online": true,
          "pageTitle": {
            "default": "Homepage Folder - My Store",
            "en": "Homepage Folder - My Store"
          },
          "pageDescription": {
            "default": "SEO description for homepage folder",
            "en": "SEO description for homepage folder"
          },
          "pageKeywords": {
            "default": "homepage, main, landing",
            "en": "homepage, main, landing"
          },
          "template": "rendering/folder/homepage"
        }
      ]
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified content asset does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get a folder assignment for a content asset

`GET /organizations/{organizationId}/libraries/{libraryId}/folder-assignments/{contentId}/{folderId}`

Operation ID: `getFolderAssignment`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves information about the assignment relationship between a content asset and a folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   Returns the assignment details including when it was created and last modified.
*   The content asset must be assigned to the specified folder.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Responses

*   **200** Folder assignment retrieved successfully
    
    Media type: `application/json`. Schema: `ContentFolderAssignment`.
    
    _Example: FolderAssignment_ Example response for a successfully retrieved folder assignment
    
    ```
    {
      "contentId": "homepage-banner",
      "folderId": "homepage-folder",
      "position": 0,
      "default": true
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified content asset does not exist in the library.
    *   The specified folder does not exist in the library.
    *   The assignment between the content asset and folder does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: AssignmentNotFound_ Example error response for folder assignment not found
    
    ```
    {
      "title": "Assignment Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/assignment-not-found",
      "detail": "No assignment from content asset with ID 'homepage-banner' to content folder with ID 'homepage-folder' in library 'SiteLibrary' could be found."
    }
    ```
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### PUT Create a content folder assignment for a content asset

`PUT /organizations/{organizationId}/libraries/{libraryId}/folder-assignments/{contentId}/{folderId}`

Operation ID: `createOrUpdateFolderAssignment`. Security: AmOAuth2 (sfcc.experiences.rw).

Creates a new assignment assignment between a content asset and a folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   If the assignment doesn't exist, it will be created (201).
*   If the assignment exists, it will be updated (200).
*   Both the content asset and folder must exist before creating the assignment.
*   A content asset can be assigned to multiple folders.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentFolderAssignment`.

_Example: CreateAssignmentRequest_ Example request to create a new folder assignment

```
{
  "contentId": "homepage-banner",
  "folderId": "homepage-folder",
  "position": 3,
  "default": true
}
```

_Example: UpdateAssignmentRequest_ Example request to update an existing folder assignment

```
{
  "contentId": "homepage-banner",
  "folderId": "homepage-folder",
  "position": 2,
  "default": false
}
```

#### Responses

*   **200** Content Folder assignment updated successfully
    
    Media type: `application/json`. Schema: `ContentFolderAssignment`.
    
    _Example: UpdatedAssignment_ Example response for a successfully updated folder assignment
    
    ```
    {
      "contentId": "homepage-banner",
      "folderId": "homepage-folder",
      "position": 8,
      "default": false
    }
    ```
    
*   **201** Content Folder assignment created successfully
    
    Media type: `application/json`. Schema: `ContentFolderAssignment`.
    
    _Example: CreatedAssignment_ Example response for a successfully created folder assignment
    
    ```
    {
      "contentId": "homepage-banner",
      "folderId": "homepage-folder",
      "position": 0,
      "default": true
    }
    ```
    
*   **404** The specified resource does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### DELETE Delete a content folder assignment for a content asset

`DELETE /organizations/{organizationId}/libraries/{libraryId}/folder-assignments/{contentId}/{folderId}`

Operation ID: `deleteFolderAssignment`. Security: AmOAuth2 (sfcc.experiences.rw).

Removes the assignment relationship between a content asset and a folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The assignment must exist to be deleted.
*   This operation cannot be undone.
*   The content asset and folder themselves are not deleted, only their assignment relationship.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Responses

*   **204** Content folder assignment deleted successfully
*   **404** The requested resource was not found.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example AssignmentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folder-assignments/{contentId}/{folderId} 404 response._ Example error response for folder assignment not found
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: AssignmentNotFound_ Example error response for folder assignment not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### PATCH Update a content folder assignment for a content asset

`PATCH /organizations/{organizationId}/libraries/{libraryId}/folder-assignments/{contentId}/{folderId}`

Operation ID: `updateFolderAssignment`. Security: AmOAuth2 (sfcc.experiences.rw).

Updates an existing assignment between a content asset and a folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   If the assignment doesn't exist, it will be created (201).
*   If the assignment exists, it will be updated (200).
*   Both the content asset and folder must exist before creating the assignment.
*   A content asset can be assigned to multiple folders.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `contentId` (path, string, required) Identifier for the content asset.  
    Maximum length: 256. Example: `homepage-banner`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.

#### Request body (required)

Media type: `application/json`. Schema: `ContentFolderAssignment`.

_Example: CreateAssignmentRequest_ Example request to create a new folder assignment

```
{
  "contentId": "homepage-banner",
  "folderId": "homepage-folder",
  "position": 3,
  "default": true
}
```

_Example: UpdateAssignmentRequest_ Example request to update an existing folder assignment

```
{
  "contentId": "homepage-banner",
  "folderId": "homepage-folder",
  "position": 2,
  "default": false
}
```

#### Responses

*   **200** Content folder assignment updated successfully
    
    Media type: `application/json`. Schema: `ContentFolderAssignment`.
    
    _Example: UpdatedAssignment_ Example response for a successfully updated folder assignment
    
    ```
    {
      "contentId": "homepage-banner",
      "folderId": "homepage-folder",
      "position": 8,
      "default": false
    }
    ```
    
*   **404** The specified resource does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get content assets in a folder

`GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId}/content`

Operation ID: `getFolderContent`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves a list of content assets within a specific folder.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   Returns all content assets directly assigned to the specified folder.
*   Results can be paginated using limit and offset parameters.
*   Content assets are returned with their assignment metadata including sort order.
*   Only content assets assigned to this specific folder are included (not sub-folders).

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `libraryId` (path, string, required) Identifier for the content library.  
    Maximum length: 256. Example: `SiteLibrary`.
*   `folderId` (path, string, required) Identifier for the content folder.  
    Maximum length: 256. Example: `seasonal-content`.
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 200 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 200.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Content assets retrieved successfully
    
    Media type: `application/json`. Schema: `ContentAssetResult`.
    
    _Example: FolderContentResult_ Example response for content assets in a folder
    
    ```
    {
      "limit": 3,
      "offset": 0,
      "total": 10,
      "hits": [
        {
          "id": "homepage-banner",
          "name": {
            "default": "Homepage Banner",
            "en": "Homepage Banner"
          },
          "description": {
            "default": "Main promotional banner for the homepage",
            "en": "Main promotional banner for the homepage"
          },
          "online": {
            "default": true
          },
          "pageTitle": {
            "default": "Homepage Banner - My Shop",
            "en": "Homepage Banner - My Shop"
          },
          "pageDescription": {
            "default": "Discover amazing products at great prices",
            "en": "Discover amazing products at great prices"
          },
          "pageKeywords": {
            "default": "banner, promotion, homepage",
            "en": "banner, promotion, homepage"
          },
          "folderId": "homepage-folder",
          "template": "rendering/content/banner"
        },
        {
          "id": "hero-image",
          "name": {
            "default": "Hero Image",
            "en": "Hero Image"
          },
          "description": {
            "default": "Hero section image",
            "en": "Hero section image"
          },
          "online": {
            "default": true
          },
          "pageTitle": {
            "default": "Hero Image - My Shop",
            "en": "Hero Image - My Shop"
          },
          "classificationFolderId": "homepage-folder",
          "template": "rendering/content/image"
        },
        {
          "id": "cta-section",
          "name": {
            "default": "Call to Action Section",
            "en": "Call to Action Section"
          },
          "description": {
            "default": "Homepage call to action content",
            "en": "Homepage call to action content"
          },
          "online": {
            "default": true
          },
          "pageTitle": {
            "default": "CTA Section - My Shop",
            "en": "CTA Section - My Shop"
          },
          "classificationFolderId": "homepage-folder",
          "template": "rendering/content/cta"
        }
      ]
    }
    ```
    
*   **400** Invalid request parameters provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: InvalidLimitParameter_ Example error response for invalid limit parameter
    
    ```
    {
      "title": "Bad Request",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request",
      "detail": "The limit parameter must be between 1 and 200."
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified library does not exist.
    *   The specified folder does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example FolderNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for folder not found
    
    _Example LibraryNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/folders/{folderId} 404 response._ Example error response for library not found
    
    _Example: FolderNotFound_ Example error response for folder not found
    
    _Example: LibraryNotFound_ Example error response for library not found
    

### GET Get a slot

`GET /organizations/{organizationId}/slots/{slotId}/{contextType}`

Operation ID: `getSlot`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves detailed information about a specific slot including its configurations.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The slot must exist in the specified context.
*   Returns the slot with all associated slot configurations.
*   Context type can be global, category, or folder.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    
*   `slotId` (path, string, required) Identifier for the slot  
    Maximum length: 256. Example: `homepage-banner-slot`.
*   `contextType` (path, string, required) Context type for the slot (global, category, or folder)  
    Allowed values: `global`, `category`, `folder`. Example: `global`.
*   `select` (query, Select)
    
    _Example: select_
    
    ```
    (**)
    ```
    

#### Responses

*   **200** Slot retrieved successfully
    
    Media type: `application/json`. Schema: `Slot`.
    
    _Example: RetrievedSlot_ Example response for a successfully retrieved slot
    
    ```
    {
      "slotId": "homepage-banner-slot",
      "description": "Main banner slot on homepage",
      "previewUrl": "https://example.com/preview/slot/homepage-banner-slot",
      "contextType": "global",
      "slotConfigurations": [
        {
          "configurationId": "homepage-banner-config",
          "slotId": "homepage-banner-slot",
          "uuid": "abc123def456ghi789jkl012",
          "enabled": true,
          "default": false,
          "description": "Default banner configuration",
          "rank": 1,
          "context": "global",
          "slotContent": {
            "type": "contentAssets",
            "contentAssetIds": [
              "homepage-banner",
              "promo-banner"
            ]
          }
        }
      ],
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T10:30:00.000Z"
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified site does not exist.
    *   The specified slot does not exist in the given context.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example SiteNotFound: same as PUT /organizations/{organizationId}/pages/{pageId} 404 response._ Example error response for site not found
    
    _Example: SlotNotFound_ Example error response for slot not found
    
    ```
    {
      "title": "Slot Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/slot-not-found",
      "detail": "Slot with ID 'homepage-banner-slot' in context 'global' could not be found for site 'RefArch'."
    }
    ```
    
    _Example: SiteNotFound_ Example error response for site not found
    

### POST Search for slots

`POST /organizations/{organizationId}/slot-search`

Operation ID: `searchSlots`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

This API allows searching for slots based on various criteria such as slot ID, description, and context type.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The search uses POST method to support complex query structures.
*   Results are paginated and can be sorted.
*   Searchable fields include: slotId (String), description (String), contextType (String).
*   Only searchable attributes can be used in sorting.
*   Context type value is restricted to Global/Folder/Category.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `SlotSearchRequest`.

_Example: SearchBySlotId_ Example search request by slot ID

```
{
  "query": {
    "textQuery": {
      "fields": [
        "slotId"
      ],
      "searchPhrase": "homepage"
    }
  },
  "limit": 25,
  "offset": 0
}
```

_Example: SearchByContext_ Example search request by context type

```
{
  "query": {
    "filteredQuery": {
      "query": {
        "matchAllQuery": {}
      },
      "filter": {
        "termFilter": {
          "field": "contextType",
          "operator": "is",
          "values": [
            "global"
          ]
        }
      }
    }
  },
  "limit": 2,
  "offset": 0
}
```

#### Responses

*   **200** Search completed successfully
    
    Media type: `application/json`. Schema: `SlotSearchResult`.
    
    _Example: SearchResults_ Example response for slot search
    
    ```
    {
      "query": {
        "textQuery": {
          "fields": [
            "slotId"
          ],
          "searchPhrase": "homepage"
        }
      },
      "limit": 2,
      "offset": 0,
      "total": 25,
      "hits": [
        {
          "slotId": "homepage-banner-slot",
          "description": "Main banner slot on homepage",
          "contextType": "global",
          "creationDate": "2024-01-15T10:30:00.000Z",
          "lastModified": "2024-01-15T10:30:00.000Z"
        },
        {
          "slotId": "category-promo-slot",
          "description": "Category promotional slot",
          "contextType": "category",
          "creationDate": "2024-01-16T14:20:00.000Z",
          "lastModified": "2024-01-16T14:20:00.000Z"
        }
      ]
    }
    ```
    
*   **400** Invalid search query provided.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: SqlQueryMalformedJoin_ Example error response for malformed SQL query
    
    ```
    {
      "title": "SQL Query Malformed Join",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/sql-query-malformed-join",
      "detail": "One or more attributes 'slotId' are in a different bucket and therefore must be joined with an AND operator.",
      "field": "slotId"
    }
    ```
    
    _Example: UnqueryableField_ Example error response for unqueryable field
    
    ```
    {
      "title": "Unqueryable Field",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unqueryable-field",
      "detail": "The field 'uuid' can't be queried.",
      "field": "uuid"
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified site does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example SiteNotFound: same as PUT /organizations/{organizationId}/pages/{pageId} 404 response._ Example error response for site not found
    
    _Example: SiteNotFound_ Example error response for site not found
    

### GET Get a slot configuration

`GET /organizations/{organizationId}/slots/{slotId}/slot-configurations/{configurationId}`

Operation ID: `getSlotConfiguration`. Security: AmOAuth2 (sfcc.experiences, sfcc.experiences.rw).

Retrieves detailed information about a specific slot configuration.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The slot configuration must exist.
*   Returns the configuration with all properties including schedule, content, and assignment information.
*   Requires siteId query parameter to identify the site context.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    
*   `slotId` (path, string, required) Identifier for the slot  
    Maximum length: 256. Example: `homepage-banner-slot`.
*   `configurationId` (path, string, required) Identifier for the slot configuration  
    Maximum length: 256. Example: `homepage-banner-config`.
*   `context` (query, string) The context for the slot configuration (global, category, or folder)  
    Allowed values: `global`, `category`, `folder`. Example: `global`.

#### Responses

*   **200** Slot configuration retrieved successfully
    
    Media type: `application/json`. Schema: `SlotConfiguration`.
    
    _Example: RetrievedSlotConfiguration_ Example response for a successfully retrieved slot configuration
    
    ```
    {
      "configurationId": "homepage-banner-config",
      "slotId": "homepage-banner-slot",
      "uuid": "abc123def456ghi789jkl012",
      "enabled": true,
      "default": false,
      "description": "Default banner configuration for homepage",
      "callout": {
        "default": {
          "source": "Limited Time Offer!",
          "markup": "<p>Limited Time Offer!</p>"
        }
      },
      "customerGroups": [
        "registered-customers",
        "vip-customers"
      ],
      "rank": 1,
      "template": "slots/banner/homepage",
      "context": "global",
      "schedule": {
        "startDate": "2024-01-01T00:00:00.000Z",
        "endDate": "2024-12-31T23:59:59.000Z"
      },
      "slotContent": {
        "type": "products",
        "productIds": [
          "product-001",
          "product-002"
        ]
      },
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-01-15T10:30:00.000Z"
    }
    ```
    
*   **400**
    
    Invalid request parameters. This can occur when:
    
    *   The specified context type is invalid.
    *   The context ID is missing for category or folder context.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: InvalidContextType_ Example error response for invalid context type
    
    ```
    {
      "title": "Invalid Context Type",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-context-type",
      "detail": "The specified context type is invalid. Valid values are: global, category, folder."
    }
    ```
    
    _Example: MissingContextId_ Example error response for missing context ID
    
    ```
    {
      "title": "Missing Context ID",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/missing-context-id",
      "detail": "Context ID is required when context type is 'category' or 'folder'."
    }
    ```
    
*   **404**
    
    The requested resource was not found. This can occur when:
    
    *   The specified slot does not exist.
    *   The specified slot configuration does not exist.
    *   The specified site does not exist.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example SlotNotFound: same as GET /organizations/{organizationId}/slots/{slotId}/{contextType} 404 response._ Example error response for slot not found
    
    _Example SiteNotFound: same as PUT /organizations/{organizationId}/pages/{pageId} 404 response._ Example error response for site not found
    
    _Example: SlotNotFound_ Example error response for slot not found
    
    _Example: SlotConfigurationNotFound_ Example error response for slot configuration not found
    
    ```
    {
      "title": "Slot Configuration Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/slot-configuration-not-found",
      "detail": "Slot configuration with ID 'homepage-banner-config' could not be found for site 'RefArch'."
    }
    ```
    
    _Example: SiteNotFound_ Example error response for site not found
    

### PUT Create or update a slot configuration

`PUT /organizations/{organizationId}/slots/{slotId}/slot-configurations/{configurationId}`

Operation ID: `createOrUpdateSlotConfiguration`. Security: AmOAuth2 (sfcc.experiences.rw).

Creates a new slot configuration or updates an existing one.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   If the slot configuration doesn't exist, it will be created (201).
*   If the slot configuration exists, it will be updated (200).
*   Configuration ID in URL must match the configuration ID in the request body.
*   The slot must exist before creating configurations.
*   Requires siteId query parameter to identify the site context.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    
*   `slotId` (path, string, required) Identifier for the slot  
    Maximum length: 256. Example: `homepage-banner-slot`.
*   `configurationId` (path, string, required) Identifier for the slot configuration  
    Maximum length: 256. Example: `homepage-banner-config`.
*   `context` (query, string) The context for the slot configuration (global, category, or folder)  
    Allowed values: `global`, `category`, `folder`. Example: `global`.

#### Request body (required)

Media type: `application/json`. Schema: `SlotConfiguration`.

_Example: CreateSlotConfigRequest_ Example request to create a new slot configuration

```
{
  "configurationId": "new-banner-config",
  "slotId": "homepage-banner-slot",
  "enabled": true,
  "default": false,
  "description": "New promotional banner configuration",
  "callout": {
    "default": {
      "source": "New Arrivals!"
    }
  },
  "customerGroups": [
    "registered-customers"
  ],
  "rank": 2,
  "template": "slots/banner/promo",
  "context": "global",
  "slotContent": {
    "type": "contentAssets",
    "contentAssetIds": [
      "promo-banner-001"
    ]
  }
}
```

_Example: UpdateSlotConfigRequest_ Example request to update an existing slot configuration

```
{
  "configurationId": "homepage-banner-config",
  "slotId": "homepage-banner-slot",
  "enabled": true,
  "default": true,
  "description": "Updated banner configuration for homepage",
  "callout": {
    "default": {
      "source": "Sale Now On!"
    }
  },
  "customerGroups": [
    "all-customers"
  ],
  "rank": 1,
  "template": "slots/banner/homepage",
  "context": "global",
  "slotContent": {
    "type": "contentAssets",
    "contentAssetIds": [
      "sale-banner",
      "promo-banner"
    ]
  }
}
```

#### Responses

*   **200** Slot configuration updated successfully
    
    Media type: `application/json`. Schema: `SlotConfiguration`.
    
    _Example: UpdatedSlotConfiguration_ Example response for a successfully updated slot configuration
    
    ```
    {
      "configurationId": "homepage-banner-config",
      "slotId": "homepage-banner-slot",
      "uuid": "abc123def456ghi789jkl012",
      "enabled": true,
      "default": true,
      "description": "Updated banner configuration for homepage",
      "callout": {
        "default": {
          "source": "Sale Now On!",
          "markup": "<p>Sale Now On!</p>"
        }
      },
      "customerGroups": [
        "all-customers"
      ],
      "rank": 1,
      "template": "slots/banner/homepage",
      "context": "global",
      "slotContent": {
        "type": "contentAssets",
        "contentAssetIds": [
          "sale-banner",
          "promo-banner"
        ]
      },
      "creationDate": "2024-01-15T10:30:00.000Z",
      "lastModified": "2024-03-31T16:00:00.000Z"
    }
    ```
    
*   **201** Slot configuration created successfully
    
    Media type: `application/json`. Schema: `SlotConfiguration`.
    
    _Example: CreatedSlotConfiguration_ Example response for a successfully created slot configuration
    
    ```
    {
      "configurationId": "new-banner-config",
      "slotId": "homepage-banner-slot",
      "uuid": "xyz789abc456def123ghi456",
      "enabled": true,
      "default": false,
      "description": "New promotional banner configuration",
      "callout": {
        "default": {
          "source": "New Arrivals!",
          "markup": "<p>New Arrivals!</p>"
        }
      },
      "customerGroups": [
        "registered-customers"
      ],
      "rank": 2,
      "template": "slots/banner/promo",
      "context": "global",
      "slotContent": {
        "type": "contentAssets",
        "contentAssetIds": [
          "promo-banner-001"
        ]
      },
      "creationDate": "2024-03-31T15:45:00.000Z",
      "lastModified": "2024-03-31T15:45:00.000Z"
    }
    ```
    
*   **400**
    
    Invalid slot configuration data provided. This can occur when:
    
    *   The ID in the request path does not match the ID in the request body.
    *   The specified context type is invalid.
    *   The context ID is missing for category or folder context.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example InvalidContextType: same as GET /organizations/{organizationId}/slots/{slotId}/slot-configurations/{configurationId} 400 response._ Example error response for invalid context type
    
    _Example MissingContextId: same as GET /organizations/{organizationId}/slots/{slotId}/slot-configurations/{configurationId} 400 response._ Example error response for missing context ID
    
    _Example: IdConflict_ Example error response for ID conflict
    
    ```
    {
      "title": "ID Conflict",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/id-conflict",
      "detail": "The ID in the request path does not match the ID in the request body."
    }
    ```
    
    _Example: InvalidContextType_ Example error response for invalid context type
    
    _Example: InvalidSlotId_ Example error response for invalid slot ID
    
    ```
    {
      "title": "Invalid Slot ID",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-slot-id",
      "detail": "The specified slot ID is invalid or the slot does not exist."
    }
    ```
    
    _Example: MissingContextId_ Example error response for missing context ID
    
*   **404**
    
    The specified resource was not found. This can occur when:
    
    *   The specified site does not exist.
    *   The specified slot does not exist.
    *   Content asset does not exist in the library.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example SiteNotFound: same as PUT /organizations/{organizationId}/pages/{pageId} 404 response._ Example error response for site not found
    
    _Example SlotNotFound: same as GET /organizations/{organizationId}/slots/{slotId}/{contextType} 404 response._ Example error response for slot not found
    
    _Example ContentNotFound: same as GET /organizations/{organizationId}/libraries/{libraryId}/content/{contentId} 404 response._ Example error response for content asset not found
    
    _Example: SiteNotFound_ Example error response for site not found
    
    _Example: SlotNotFound_ Example error response for slot not found
    
    _Example: ContentNotFound_ Example error response for content asset not found
    

### DELETE Delete a slot configuration

`DELETE /organizations/{organizationId}/slots/{slotId}/slot-configurations/{configurationId}`

Operation ID: `deleteSlotConfiguration`. Security: AmOAuth2 (sfcc.experiences.rw).

Deletes a slot configuration.

**Important**:

*   This is an admin-only operation requiring appropriate permissions.
*   The slot configuration must exist to be deleted.
*   This operation cannot be undone.
*   Requires siteId query parameter to identify the site context.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.
    
    _Example: SiteId_
    
    ```
    RefArch
    ```
    
*   `slotId` (path, string, required) Identifier for the slot  
    Maximum length: 256. Example: `homepage-banner-slot`.
*   `configurationId` (path, string, required) Identifier for the slot configuration  
    Maximum length: 256. Example: `homepage-banner-config`.
*   `context` (query, string) The context for the slot configuration (global, category, or folder)  
    Allowed values: `global`, `category`, `folder`. Example: `global`.

#### Responses

*   **204** Slot configuration deleted successfully
*   **400**
    
    Invalid request parameters. This can occur when:
    
    *   The specified context type is invalid.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
[...]
